Bug 1005315 - Fedora-20-20130906 Fedora i386 fails to install
Fedora-20-20130906 Fedora i386 fails to install
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libgcrypt (Show other bugs)
20
i386 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 12:03 EDT by Bill Peck
Modified: 2015-06-29 08:20 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2013-09-06 12:03:11 EDT
Description of problem:
anaconda fails to install due to an import error on i386
ImportError: /lib/libgpg-error.so.0: invalid ELF header

Version-Release number of selected component (if applicable):
anaconda-20.10-2.fc20.i686

How reproducible:
unknown

Actual results:
traceback

Expected results:
install to start

Additional info:
 Traceback (most recent call last):  
 
  File "/sbin/anaconda", line 683, in <module>  
 
    setupPythonPath()  
 
  File "/sbin/anaconda", line 319, in setupPythonPath  
 
    from pyanaconda.constants import ADDON_PATHS  
 
  File "/usr/lib/python2.7/site-packages/pyanaconda/__init__.py", line 36, in <module>  
 
    from pyanaconda.bootloader import get_bootloader  
 
  File "/usr/lib/python2.7/site-packages/pyanaconda/bootloader.py", line 31, in <module>  
 
    from blivet.devicelibs import mdraid  
 
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 68, in <module>  
 
    from devices import *  
 
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 108, in <module>  
 
    from devicelibs import crypto  
 
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/crypto.py", line 24, in <module>  
 
    from pycryptsetup import CryptSetup  
 
ImportError: /lib/libgpg-error.so.0: invalid ELF header  
 
  
 
   
Pane is dead
Comment 1 David Shea 2013-09-06 12:26:35 EDT
I'm guessing this is a problem with the compose, but I'll just kick the can down to cryptsetup since it's their module that fails to load.
Comment 2 Milan Broz 2013-09-06 13:15:13 EDT
The libgpg-error is part of gcrypt package, cryptsetup just depends on it.
Comment 3 Fedora End Of Life 2015-05-29 05:22:27 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:20:30 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.